VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::HardwareTypes::UpdateSpec Class Reference

The `Hardware.UpdateSpec` class describes the updates to virtual hardware settings of a virtual machine. More...

List of all members.

## Public Member Functions
| UpdateSpec ()
| Creates a default new instance.
vmware.vcenter.vm.HardwareTypes.UpgradePolicy | GetUpgradePolicy ()
| Scheduled upgrade policy.
void | SetUpgradePolicy (vmware.vcenter.vm.HardwareTypes.UpgradePolicy upgradePolicy)
| Scheduled upgrade policy.
vmware.vcenter.vm.HardwareTypes.Version | GetUpgradeVersion ()
| Target hardware version to be used on the next scheduled virtual hardware upgrade.
void | SetUpgradeVersion (vmware.vcenter.vm.HardwareTypes.Version upgradeVersion)
| Target hardware version to be used on the next scheduled virtual hardware upgrade.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Hardware.UpdateSpec` class describes the updates to virtual hardware settings of a virtual machine.

## Constructor & Destructor Documentation

vmware::vcenter::vm::HardwareTypes::UpdateSpec::UpdateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::HardwareTypes::UpdateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::HardwareTypes::UpdateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::HardwareTypes::UpdateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::HardwareTypes::UpdateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::HardwareTypes::UpdateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::HardwareTypes::UpdateSpec::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vcenter::vm::HardwareTypes::UpdateSpec::GetHashCode | ( |  | ) | `[inline]`

vmware.vcenter.vm.HardwareTypes.UpgradePolicy vmware::vcenter::vm::HardwareTypes::UpdateSpec::GetUpgradePolicy | ( |  | ) | `[inline]`

Scheduled upgrade policy.

If set to Hardware.UpgradePolicy.NEVER , the Hardware.Info.upgradeVersion field will be reset to null.

vmware.vcenter.vm.HardwareTypes.Version vmware::vcenter::vm::HardwareTypes::UpdateSpec::GetUpgradeVersion | ( |  | ) | `[inline]`

Target hardware version to be used on the next scheduled virtual hardware upgrade.

If specified, this field must represent a newer virtual hardware version than the current virtual hardware version reported in Hardware.Info.version .

void vmware::vcenter::vm::HardwareTypes::UpdateSpec::SetUpgradePolicy | ( | vmware.vcenter.vm.HardwareTypes.UpgradePolicy | upgradePolicy | ) | `[inline]`

Scheduled upgrade policy.

If set to Hardware.UpgradePolicy.NEVER , the Hardware.Info.upgradeVersion field will be reset to null.

void vmware::vcenter::vm::HardwareTypes::UpdateSpec::SetUpgradeVersion | ( | vmware.vcenter.vm.HardwareTypes.Version | upgradeVersion | ) | `[inline]`

Target hardware version to be used on the next scheduled virtual hardware upgrade.

If specified, this field must represent a newer virtual hardware version than the current virtual hardware version reported in Hardware.Info.version .

override string vmware::vcenter::vm::HardwareTypes::UpdateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- HardwareTypes.cs